## gtk-sharp2 2.12.10-1maemo8

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo8) fremantle; urgency=low
  * Added cli-common to dependencies

 -- Nikita Tsukanov <keks9n@gmail.com>  Fri, 29 Apr 2011 21:15:25 +0400
