=== debian/control ===
Source: gtk-sharp2
Section: libs
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: mono-pre, cli-common, debhelper (>= 5), cli-common-dev (>= 0.5.7), dpatch, mono-devel (>= 2.4.2.3), monodoc-base (>= 1.0), libmono-2.0-dev, pkg-config, libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.12.0), libpango1.0-dev, libglade2-dev (>= 2.3.6), libmono-cairo2.0-cil, mono-scratchbox, mono-gmcs
Standards-Version: 3.8.4
Homepage: http://www.mono-project.com/GtkSharp
Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gtk-sharp2/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-cli-libs/packages/gtk-sharp2/trunk/

Package: gtk-sharp2
Architecture: all
Depends: mono-pre, cli-common, gtk-sharp2-examples (= ${source:Version}),
 gtk-sharp2-gapi (= ${source:Version}),
 libglib2.0-cil-dev (= ${source:Version}),
 libgtk2.0-cil-dev (= ${source:Version}),
 libglade2.0-cil-dev (= ${source:Version}),
 monodoc-gtk2.0-manual (= ${source:Version})
Description: GTK# 2.10 suite, CLI bindings for GTK+ 
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 gtk-sharp2 is a metapackage containing dependencies for the GTK# 2.10 suite.

Package: gtk-sharp2-examples
Architecture: all
Depends: mono-pre, cli-common, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: sample applications for the GTK# 2.10 toolkit
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains some example programs that are distributed with
 the GTK# assemblies, including source to build them and learn from
 them.

Package: gtk-sharp2-gapi
Architecture: any
Conflicts: gtk-sharp2-unstable-gapi
Replaces: gtk-sharp2-unstable-gapi
Depends: mono-pre, cli-common, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, libxml-perl, libglib2.0-cil (>= ${source:Version})
Description: C source parser and C# code generator for GObject based APIs
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package includes the parser and code generator used by the GTK#
 project to parse and bind GObject libraries. Install if you want to
 bind GObject-based libraries, or need to compile a project that uses
 it to bind such a library.

Package: libglib2.0-cil
Architecture: any
Suggests: monodoc-gtk2.0-manual
Depends: mono-pre, cli-common, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-1)
Description: CLI binding for the GLib utility library 2.12
 This package provides the glib-sharp assembly that allows CLI (.NET) programs
 to use the GLib utility library 2.12. This is mostly useful for the GTK+ and
 GNOME bindings.
 .
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains the glib-sharp assembly

Package: libglib2.0-cil-dev
Architecture: any
Depends: mono-pre, cli-common, libglib2.0-cil (= ${binary:Version}), ${misc:Depends}
Replaces: libglib2.0-cil (<< 2.12.9-2)
Description: CLI binding for the GLib utility library 2.12
 This package provides the glib-sharp assembly that allows CLI (.NET) programs
 to use the GLib utility library 2.12. This is mostly useful for the GTK+ and
 GNOME bindings.
 .
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains development files for the glib-sharp library, and should
 be used for compilation

Package: libgtk2.0-cil
Architecture: any
Suggests: monodoc-gtk2.0-manual
Depends: mono-pre, cli-common, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-1)
Description: CLI binding for the GTK+ toolkit 2.12
 This package provides the atk-sharp, gdk-sharp, gtk-dotnet, gtk-sharp and
 pango-sharp assemblies that allow CLI (.NET) programs to use the
 GTK+ user interface toolkit 2.12, ATK, Pango, GTK.NET and GDK.
 .
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains the GTK# assemblies

Package: libgtk2.0-cil-dev
Architecture: any
Depends: mono-pre, cli-common, libgtk2.0-cil (= ${binary:Version}), libglib2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
Replaces: libgtk2.0-cil (<< 2.12.9-2)
Description: CLI binding for the GTK+ toolkit 2.12
 This package provides the atk-sharp, gdk-sharp, gtk-dotnet, gtk-sharp and
 pango-sharp assemblies that allow CLI (.NET) programs to use the
 GTK+ user interface toolkit 2.12, ATK, Pango, GTK.NET and GDK.
 .
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains development files for the GTK# library, and should
 be used for compilation

Package: libglade2.0-cil
Architecture: any
Suggests: monodoc-gtk2.0-manual
Depends: mono-pre, cli-common, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-1)
Description: CLI binding for the Glade libraries 2.6
 This package provides the glade-sharp assembly that allows CLI (.NET) programs
 to use the Glade libraries 2.6.
 .
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains the glade-sharp assembly

Package: libglade2.0-cil-dev
Architecture: any
Depends: mono-pre, cli-common, libglade2.0-cil (= ${binary:Version}), libgtk2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
Replaces: libglade2.0-cil (<< 2.12.9-2)
Description: CLI binding for the Glade libraries 2.6
 This package provides the glade-sharp assembly that allows CLI (.NET) programs
 to use the Glade libraries 2.6.
 .
 GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains development files for the glade-sharp library, and should
 be used for compilation

Package: monodoc-gtk2.0-manual
Architecture: all
Section: doc
Priority: extra
Depends: mono-pre, cli-common, monodoc-manual
Conflicts: monodoc-gtk-manual, monodoc-manual (<= 1.0.6-1)
Description: compiled XML documentation for GTK# 2.10
 The MonoDoc Project is the documentation framework of the Mono project which
 provides detailed API documentation for all Mono components and the Mono CLI
 implementation.
 .
 This package contains the compiled XML documentation for GTK# 2.10 and
 GNOME# 2.16 of MonoDoc.
