## gtk-sharp2 2.12.40

=== debian/changelog ===
gtk-sharp2 (2.12.40-2) unstable; urgency=medium

  * [bf035d9] fix Gtk.TreeView.get/set_Model() throwing NullReferenceException.
    This fix is a cherry-picked commit 4ac71507fffce997207215ac3f8b38471ce60a14
    from upstream's git repository.
    The fix is already included in a newer upstream version (GTK# 2.12.41), but
    for getting a freeze exception I have only backported the fix that affects
    the Debian release. (Closes: #860450)

 -- Mirco Bauer <meebey@debian.org>  Mon, 17 Apr 2017 14:55:40 +0800

gtk-sharp2 (2.12.40-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * debian/patches/no-void-cachetype.patch: Do not generate invalid
    syntax when certain methods return void (Closes: #849932)

  [ Simon McVittie ]
  * Add a longer changelog entry and some patch metadata for the fix
    above
  * Run dh_cligacpolicy with umask 022 to avoid installing some files
    with 0664, 0775 permissions (Lintian warning)
  * Relax gtk-sharp2 dependencies so they can be satisfied by a binNMU
    (Lintian error)

 -- Simon McVittie <smcv@debian.org>  Sun, 02 Apr 2017 18:33:48 +0100

gtk-sharp2 (2.12.40-1) unstable; urgency=medium

  * The "from Hong Kong's hackerspace DimSumLabs with love" release
    + 10 gbit/s Internet helps creating pbuilder images

  * [d33e8bf] New upstream version 2.12.40
  * [9c6224b] debian/patches/*: refreshed and removed patches included by new
              upstream version.
  * [9ad19a5] debian/gbp.conf: git build package (gbp) config file
  * [93c2acb] bump clilibs API version to 2.12.40
  * [d77e645] add missing gtk-sharp dllmap for libgdk-win32-2.0-0.dll

 -- Mirco Bauer <meebey@debian.org>  Tue, 15 Nov 2016 21:04:31 +0800

gtk-sharp2 (2.12.10-6) unstable; urgency=medium

  * [97fcc59] Use libmono-cairo4.0-cil

 -- Iain Lane <laney@debian.org>  Mon, 14 Dec 2015 17:30:48 +0000

gtk-sharp2 (2.12.10-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: add upstream commits
    0001-glib-Fix-native-GLib-warnings-when-disposing-SourceP,
    0002-Check-that-source_handlers-contains-the-tag from version 2.12.26,
    fixing warning spam from removing nonexistent event sources with
    recent GLib. This was filed as RC, since it can consume significant
    disk space in long-running Gtk# apps. (Closes: #776145)

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Feb 2015 11:52:55 +0000
