=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gtk-sharp/([\d\.]+)/gtk-sharp-([\d\.]+)\.tar\.gz
